%global modname bitlyapi

Name:             python-%{modname}
Version:          0.1.1
Release:          5%{?dist}
Summary:          A thin python wrapper for the bit.ly REST API

Group:            Development/Languages
License:          BSD
URL:              http://pypi.python.org/pypi/%{modname}
Source0:          http://pypi.python.org/packages/source/b/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:        noarch


BuildRequires:    python2-devel
BuildRequires:    python-setuptools

%description

This is a thin Python wrapper for the bit.ly API.  Basic usage looks
like this:

    >>> import bitlyapi
    >>> b = bitlyapi.BitLy(api_user, api_key)
    >>> res = b.shorten(longUrl='http://www.google.com/')
    >>> print res['url']
    'http://bit.ly/6Hwstb'
    >>> print res['long_url']
    'http://www.google.com/'

%prep
%setup -q -n %{modname}-%{version}

# Remove the shebang
%{__awk} '{if (NR!=1) {print}}' bitlyapi/bitly.py > bitlyapi/bitly.py.new
%{__mv} bitlyapi/bitly.py.new bitlyapi/bitly.py

%build
%{__python} setup.py build 

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%check
%{__python} setup.py test


%files
%doc README.rst LICENSE CHANGES.rst
%{_bindir}/bitly

%{python_sitelib}/* 

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Aug 27 2012 Ralph Bean <rbean@redhat.com> - 0.1.1-2
- Removed deprecated defattr
- Replaced hardcoded /usr/bin with %%{_bindir}
- Removed double "::" in the %%description.

* Sun Apr 22 2012 Ralph Bean <rbean@redhat.com> - 0.1.1-1
- initial package for Fedora
